{% extends "base.html" %}
{% block content %}

    <div class="container-fluid bg-light">
  <nav class="navbar no-background navbar-expand-lg bg-light p-2 mt-0">
  <div class="collapse navbar-collapse">
  <span class="navbar-brand disabled">
  <img alt="The Tor Project" style="max-width: 140px; opacity: 0;" src="/static/images/tor-logo@2x.png">
  </span>
    <ul class="navbar-nav mr-auto">
        {%  for c in categories.keys() %}
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{ c }}
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            {% for a in categories[c]['metrics'] %}
                <a class="dropdown-item" href="/{{ a.type }}/{{ a.name }}">{{ a.name | analysis_title }}</a>
            {% endfor %}
        </div>
      </li>
        {% endfor %}
    </ul>
  </div>
  </nav>
</div>

    <div class="container-fluid">
    <h2 class="display-4 pt-md-3">{{ title }}</h2>
    <div class="container-fluid">
    <div class="row">
    <div class="col-md-9">
        <p><img style="max-width: 100%;" src="/api/v1/plot/{{ plot }}?{{ encoded }}"></p>
        <p>{{ description | rst }}</p>
        <form class="bg-light p-5">
            <div class="form-group row">
                <label class="col-sm-3 col-form-label" for="inputDirectLink">Direct link to this graph: </label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="inputDirectLink" disabled="disabled" value="https://tor.sr2.uk/plot/{{ plot }}?{{ encoded }}">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-3 col-form-label" for="inputSaveLink">Save as: </label>
                <div class="col-sm-9">
                    <a href="/api/v1/plot/{{ plot }}?format=png&{{ encoded }}" download="{{ plot }}.png" class="btn btn-primary">PNG</a>
                    <a href="/api/v1/plot/{{ plot }}?format=svg&{{ encoded }}" download="{{ plot }}.svg" class="btn btn-primary">SVG</a>
                    <a href="/api/v1/plot/{{ plot }}?format=pdf&{{ encoded }}" download="{{ plot }}.pdf" class="btn btn-primary">PDF</a>
                    <a href="/api/v1/plot/{{ plot }}?format=tiff&{{ encoded }}" download="{{ plot }}.tiff" class="btn btn-secondary">TIFF</a>
                    <a href="/api/v1/plot/{{ plot }}?format=pgf&{{ encoded }}" download="{{ plot }}.tex" class="btn btn-secondary">PGF</a>
                </div>
            </div>
        </form>
    </div>
    <form class="bg-light p-5 col-md-3">
        {% if "start" in parameters %}
        <div class="form-group row">
            <label class="col-sm-4 col-form-label" for="inputStart">Start Date: </label>
            <div class="col-sm-8">
                <input type="date" class="form-control" id="inputStart" name="start" value="{{ filters['start'].isoformat()[:10] }}">
            </div>
        </div>
        {% endif %}
        {% if "end" in parameters %}
        <div class="form-group row">
            <label class="col-sm-4 col-form-label" for="inputEnd">End Date: </label>
            <div class="col-sm-8">
                <input type="date" class="form-control" id="inputEnd" name="end" value="{{ filters['end'].isoformat()[:10] }}">
            </div>
        </div>
        {% endif %}

        {% if "countries" in parameters %}
        <div class="form-group">
            <label for="inputEnd">Countries: </label>
                <select multiple="multiple" class="form-control" id="inputCountries" aria-describedby="inputCountriesHelp" name="countries" size="8">
                    <option value="all"
                            {% if "all" in filters['countries'] %}selected="selected"{% endif %}
                        >Worldwide</option>
                    <option disabled="disabled">---</option>
                    {% for code, name in choices["countries"].items() %}
                        <option value="{{ code }}"
                            {% if code in filters['countries'] %}selected="selected"{% endif %}
                        >{{ name.strip("the ") }} ({{ code }})</option>
                    {% endfor %}
                </select>
                <small id="inputCountriesHelp" class="form-text text-muted">Use Ctrl and Shift to select multiple countries at once.</small>
        </div>
        {% endif %}
        {% if "servers" in parameters %}
        <div class="form-group">
            <label>Server Types: </label>
                <div class="form-check form-group">
                  <input class="form-check-input" type="checkbox" id="inputRelay" name="servers" value="relay"
                                           {% if "relay" in filters['servers'] %}checked="checked"{% endif %}>
                  <label class="form-check-label" for="inputRelay">Relays</label>
                </div>
                <div class="form-check form-group">
                  <input class="form-check-input" type="checkbox" id="inputBridge" name="servers" value="bridge"
                                           {% if "bridge" in filters['servers'] %}checked="checked"{% endif %}>
                  <label class="form-check-label" for="inputBridge">Bridges</label>
                </div>
                <div class="form-check form-group">
                  <input class="form-check-input" type="checkbox" id="inputTotal" name="servers" value="total"
                  {% if "total" in filters['servers'] %}checked="checked"{% endif %}>
                  <label class="form-check-label" for="inputTotal">Total</label>
                </div>
        </div>
        {% endif %}

        {% for filter in ["percentiles", "flags", "transports"] %}
            {% if filter in parameters %}
                <div class="form-group">
                    <label for="inputEnd"> {{ filter[0]|upper}}{{filter[1:] }}: </label>
                    <select multiple="multiple" class="form-control" id="input{{ filter.title() }}" name="{{ filter }}" size="8">
                        {% for val, desc in choices[filter].items() %}
                            <option value="{{ val }}"
                                {% if val in filters[filter] %}selected="selected"{% endif %}
                            >{{ desc }}</option>
                        {% endfor %}
                    </select>
                </div>
            {% endif %}
        {% endfor %}
        {% for filter in ["filesize", "webserver", "relay_type"] %}
         {% if filter in parameters %}
                <div class="form-group">
                    <label for="inputEnd"> {{ filter[0]|upper}}{{filter[1:] }}: </label>
                    <select  class="form-control" id="input{{ filter.title() }}" name="{{ filter }}" size="8">
                        {% for val, desc in choices[filter].items() %}
                            <option value="{{ val }}"
                                {% if val == filters[filter] %}selected="selected"{% endif %}
                            >{{ desc }}</option>
                        {% endfor %}
                    </select>
                </div>
            {% endif %}
            {% endfor %}

        <button type="submit" class="btn btn-primary">Update graph</button>
    </form>

    <h3>Related Events</h3>

    <table>
        <thead>
            <th>Start</th>
            <th>End</th>
            <th>Description</th>
        </thead>
        <tbody>
            {% for news_item in news %}
                <tr>
                    <td>{{ news_item.get('start') }}</td>
                    <td>{{ news_item.get('end', '') }} {% if news_item.get("ongoing", False) %}(ongoing){% endif %}</td>
                    <td>{{ news_item['description'] }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    </div>
    </div>
    </div>
{% endblock %}
